Bug 511953 - Can't save config for dual head with I910 integrated video card
Can't save config for dual head with I910 integrated video card
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Triaged
: 555721 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-15 14:57 EDT by Egon Kastelijn
Modified: 2010-12-05 01:42 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 238171
Environment:
Last Closed: 2010-12-05 01:42:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Egon Kastelijn 2009-07-15 14:57:19 EDT
+++ This bug was initially created as a clone of Bug #238171 +++

Description of problem:
I am trying to configure dual monitor via system-config-display on a form factor
Dell computer.  It is an Intel i910 with a cable that has a DVI output and a vga
output.  When I try and configure dual head using system-config-display it
doesn't allow me to save my configuration.  Even if I boot up with a bad config
and go into the configuration mode and kick of the gui config tool it comes up
with the config that I want to use but even in that tool it won't save the
configuration when I set it up that way.  I know it is hard to explain so I am
available to provide other information that you need.

Version-Release number of selected component (if applicable):
system-config-display-1.0.48-1.fc7

How reproducible:


Steps to Reproduce:
1.  run system-config-display
2.  check use dual head
3.  can't save.
  
Actual results:


Expected results:


Additional info:

--- Additional comment from gronslet@gmail.com on 2007-05-10 16:06:18 EDT ---

I have a similar problem:
I booted the Fedora 7 KDE Live CD test4 (loaded in ram as I've got 1.2GB) on my 
Dell Latitude X1 (Intel Corporation Mobile 915GM/GMS/910GML Express Graphics 
Controller (rev 03))

The livecd correctly chose the 'intel' driver (not the i810 driver) in my 
xorg.conf, and for the first time Fedora worked with the correct widescreen 
resolution of 1280x768 out of the box - nice :) (since Fedora Core 4 I have 
used the 915resolution hack)

So, I hooked up an external flatscreen monitor (not using DVI plug, but the old 
one) and wanted to run dual head, thus started system-config-display from a 
'konsole'.

Click "Dual head" tab, click "Use dual head", click "OK".

Nothing happens, but I get this traceback:

[fedora@localhost ~]$ system-config-display
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 152, in ok
    second_monitor = self.xconfig.monitor[1]
IndexError: index out-of-bounds

So, I select "Second Monitor Type" (was: No monitor selected), choose "LCD 
Panel 1280x1024"
Resolution: Not possible to choose 1280x1024, max is the same as the
internal format of the laptop monitor, namely widescreen 1280x768.
I can choose 1024x768, and do that.
I set "Desktop layout": "Individual Desktops".
Press OK -> get a message that I have to restart the X server, OK, do that: 
End current session.
Login again.

Now I get 1280x1024 resolution _on both screens_. So I cannot see the KDE menu 
(that is on the bottom of the screen) on the widescreen display of my laptop.
To clarify: on the external LCD screen I get 1280x1024, but on the internal 
laptop screen I get 1280x768 resolution but a 1280x1024 desktop area (not 
moving with the mouse)

I now open 'system-config-display' click the dual head tab and see
Second Monitor Type: None (ie. it was not saved)
Resolution: 1280x1024. (ie. not the one i chose, but in fact the one I 
wanted...)

Okey...
Now I choose "Desktop layout": "Spanning desktops"
and click OK (without setting any monitor type)
I then get promptet for the monitor type. (which I didn't the first time)
I choose 'Generic LCD Panel 1280x1024' and click OK, OK. Then end current 
session and relogin.

That doesn't work: Both screens switch from black to white about four or five 
times, and the keyboard seems to have stopped working (no response on caps look 
for instance). I end up with pressing ctrl-alt-backspace to kill the X server, 
still have a black screen, no consoles working (ctlr-alt-f1), no effect on 
monitor switch (Fn-F8 on my laptop), but ctrl-alt-del brings down the system 
safely.

Thanks for any help on this, I'll try to provide some more logs etc if you give 
me the directions (the live cd is a bit unusable in the test4 stage as 
'prelink' and 'makewhatis' eats the cpu and make 'loop121' loockup or 
something...)

-MartinG

--- Additional comment from gronslet@gmail.com on 2007-05-10 16:09:42 EDT ---

Created an attachment (id=154494)
lspci -v on a Dell Latitude X1 using the Fedora 7 Test 4 KDE Live CD

lspci -v on Dell X1

--- Additional comment from gronslet@gmail.com on 2007-05-10 16:10:49 EDT ---

Created an attachment (id=154495)
dmesg on a Dell Latitude X1


--- Additional comment from gronslet@gmail.com on 2007-05-10 16:12:23 EDT ---

Created an attachment (id=154496)
Xorg.0.log "Fatal server error: Caught signal 11. Server aborting"


--- Additional comment from gronslet@gmail.com on 2007-05-10 16:14:22 EDT ---

Created an attachment (id=154497)
Xorg.0.log (not crashing)


--- Additional comment from mcepl@redhat.com on 2007-11-14 10:47:51 EDT ---

Could you try Fedora 8 Live CD?

--- Additional comment from mcepl@redhat.com on 2008-01-17 10:46:09 EDT ---

... that or the current Rawhide. If you won't reply in one month, I will have to
close this bug as INSUFFICIENT_DATA. Thank you.

--- Additional comment from bigjoe1008@gmail.com on 2008-01-17 11:04:45 EDT ---

Saving now works with Fedora 8.  Although the generated config does not actually
work but that is a different ticket.  On the mailing list a discussion on the
way these intel cards work seems to shed some light how to get the multihead to
work:
https://www.redhat.com/archives/fedora-devel-list/2008-January/msg01525.html

Not sure if you want to keep this open because some of the replies seem to be
the intel dual head issue.

--- Additional comment from gronslet@gmail.com on 2008-01-17 11:52:18 EDT ---

Using Fedora 8 (stable), fully updated (yum).
kernel 2.6.23.9-85.fc8
xorg-x11-drv-i810-2.1.1-7.fc8

Disabled compiz-fusion.

$ system-config-display
/usr/share/system-config-display/xConfigDialog.py:496: GtkWarning:
Failed to set text from markup due to error parsing markup: Error on line 1 
char 94: Element 'markup' was closed, but the currently open
element is 'span'
  xml =  gtk.glade.XML("/usr/share/system-config-display/display.glade",  
domain="system-config-display")

Wrote my root password when prompted.
Internal resolution is 1280x768.

Wanted text in english (and not native Norwegian), and did instead:
$ LANG=C system-config-display
and did not get the warning listed above.

Went to "Dual head", checked "use dual head".
Second monitor: No monitor selected -> configure -> Generic LCD,
1600x1200 (known to work on my SyncMaster 204b).

Second video card:
Says "Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller"
So I didn't change it, but it was listed twice.

Resolution: maximum was at 1280x768. I choose 1024x768, millions of
colors and Desktop layout: Individual desktops, pressed OK.

Got a message telling me that I need to log out and in again, and that
the config was saved as /etc/X11/xorg.conf and that a backup file was
created (/etc/X11/xorg.conf.backup). Checked the folder, and there
were in fact no backup file created (!).

Log out and in again:
The login screen showed up on both screens, at resolution 1600x1200
(not 1024x768 as I wanted). Therefore, I could not see the entire
desktop on the laptop. Otherwise the login worked fine.

So I tried again:
$ LANG=C system-config-display

Under "Settings", resolution said "1600x1200".
Under "Dual head", "use dual head" was selected, but "second monitor
type" now shows "No monitor selected".
Resolution shows "1600x1200", color: millions, and "Desktop layout" is
"individual desktops".

So I tried to reduce resolution to 1024x768. Hm, went back to settings
and checked - resolution there still says 1600x1200. Also changed that
to 1024x768. Pressed OK. Got a popup asking me to select the model of
my monitor - chose Generic LCD 1024x768. Checked both "Dual head" and
"Settings" and confirmed that resolution was unchanged. Pressed
OK. Got the message
"Display settings changed
You need to log out and restart the X server for the changes to take
effect.
Configuration was written to /etc/X11/xorg.conf, original
configuration saved as /etc/X11/xorg.conf.backup.
"
Again, no backup file was created.
Logged out and in again.

This worked - both screens are now at 1024x768, and shows exactly the
same.

Next, tried "spanning desktops". 

This did not seem to work - both screens still shows exactly the same,
ie. they are cloned. Funny thing though, the screens are still in
1024x768, but now system-config-display reports a resolution of
800x600 (both under "Settings" and "Dual head"). "Second monitor type"
is still at "LCD panel 1024x768", ie. the info is was not lost this
time.

Next, I tried to change back to only using my internal screen at 1280x768. That 
was not possible: After unchecking "use dual head", I was not able to choose 
2180x768 on the "Settings" tab.

Hope some of this might useful,
best regards,
-MartinG

--- Additional comment from fedora-triage-list@redhat.com on 2008-05-13 22:48:53 EDT ---

Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from om@iki.fi on 2008-09-11 10:50:40 EDT ---

Exactly the same problem on Fedora 9, system-config-display will not save settings when trying to switch to a dual head configuration. When starting from command line, the following error message is produced:

Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 201, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'

--- Additional comment from redhat@kastelijn.nu on 2009-03-06 07:32:44 EDT ---

Same problem here with an NVidia Geforce 9300M G on Fedora 10.
This problem seems to be the same as bug #443352.

--- Additional comment from fedora-triage-list@redhat.com on 2009-06-09 18:34:16 EDT ---


This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from redhat@kastelijn.nu on 2009-06-10 15:46:20 EDT ---

This problem still exists:
system-config-display-1.1.1-1.fc10.noarch

--- Additional comment from fedora-triage-list@redhat.com on 2009-07-14 12:48:34 EDT ---


Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 1 Matěj Cepl 2009-11-05 13:34:52 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 2 Egon Kastelijn 2009-11-06 02:09:57 EST
This problem still exists in system-config-display-1.1.3-2.fc11.noarch 
(Fedora 11)

# system-config-display
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 212, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'
#
Comment 3 Egon Kastelijn 2009-11-19 16:00:24 EST
This problem still exists (Fedora 12).

system-config-display-2.2-1.fc12.i686

# system-config-display
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 211, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'
#
Comment 4 Kyle Pablo 2009-12-23 11:34:25 EST
system-config-display-2.2-1.fc12.x86_64

Same here:

Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 211, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'
Comment 5 Bug Zapper 2010-11-04 06:45:33 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Egon Kastelijn 2010-11-06 02:13:56 EDT
system-config-display is no longer part of Fedora 14.
This means that I am unable to retest the problem.
I am curious what method I should use to configure dual monitor configurations in Fedora 14...
Comment 7 Matěj Cepl 2010-11-06 06:40:09 EDT
(In reply to comment #6)
> system-config-display is no longer part of Fedora 14.
> This means that I am unable to retest the problem.
> I am curious what method I should use to configure dual monitor configurations
> in Fedora 14...

gnome-display-properties now has "Make Default Systemwide" button.
Comment 8 Farzaneh Sarafraz 2010-12-01 07:21:36 EST
Can somebody with necessary access mark #555721 as a duplicate of this bug please?
Comment 9 Matěj Cepl 2010-12-01 10:47:50 EST
*** Bug 555721 has been marked as a duplicate of this bug. ***
Comment 10 Bug Zapper 2010-12-05 01:42:37 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.